Page MenuHomePhabricator

let list=logevents use the new LogFormatter to format its output
Closed, ResolvedPublic

Description

Since 1.19 there is a LogFormatter to format the items on Special:Log. What about adding an api output to this Formatter and use that output inside the api for list=logevents? Than extensions can define its own format also for the api and maybe some of the other formats get better output.


Version: 1.20.x
Severity: enhancement

Details

Reference
bz33235

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 11:58 PM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz33235.
bzimport added a subscriber: Unknown Object (MLST).
Qgil added a comment.Apr 12 2014, 6:51 AM

"Lowest", reflecting the lack of activity in more than two years and the apparent lack of current plans.

Change 183315 had a related patch set uploaded (by Anomie):
API: Move parameter formatting into LogFormatter

https://gerrit.wikimedia.org/r/183315

Patch-For-Review

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Feb 20 2015, 5:56 PM

Change 183315 merged by jenkins-bot:
API: Move parameter formatting into LogFormatter

https://gerrit.wikimedia.org/r/183315

Legoktm closed this task as Resolved.Apr 17 2015, 5:18 AM
Legoktm added a subscriber: Legoktm.

Change 207494 had a related patch set uploaded (by Anomie):
API: Move parameter formatting into LogFormatter

https://gerrit.wikimedia.org/r/207494

Change 207494 merged by jenkins-bot:
API: Move parameter formatting into LogFormatter

https://gerrit.wikimedia.org/r/207494